dict-bouvier (6.revised-3.2) debian-dir only changes

Summary

 debian/changelog |   34 +++++++++++++++++++
 debian/control   |   14 ++++++++
 debian/copyright |   10 +++++
 debian/dirs      |    1 
 debian/postinst  |   56 ++++++++++++++++++++++++++++++++
 debian/postrm    |   45 ++++++++++++++++++++++++++
 debian/rules     |   94 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 254 insertions(+)

    
download this patch

Patch contents

--- dict-bouvier-6.revised.orig/debian/changelog
+++ dict-bouvier-6.revised/debian/changelog
@@ -0,0 +1,34 @@
+dict-bouvier (6.revised-3.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * /etc/init.d/dictd sanity checks; closes: #441913.
+
+ -- Robert S. Edmonds <edmonds@debian.org>  Tue, 11 Sep 2007 16:46:08 -0400
+
+dict-bouvier (6.revised-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Use invoke-rc.d; closes: #367737.
+
+ -- Robert S. Edmonds <edmonds@debian.org>  Sun, 02 Sep 2007 02:16:38 -0400
+
+dict-bouvier (6.revised-3) unstable; urgency=low
+
+  * Now build using current Python.  Closes: #401515.
+
+ -- John Goerzen <jgoerzen@complete.org>  Mon,  4 Dec 2006 22:39:50 -0600
+
+dict-bouvier (6.revised-2) unstable; urgency=low
+
+  * Updated build process for Python 2.3.  Closes: #212068.
+  * Dictzip is now in its own package instead of in dictd.  Updated
+    build-depends-indep accordingly.
+
+ -- John Goerzen <jgoerzen@complete.org>  Tue,  7 Oct 2003 13:21:34 -0500
+
+dict-bouvier (6.revised-1) unstable; urgency=low
+
+  * Initial Release.  Closes: #143633.
+
+ -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Apr 2002 14:10:31 -0500
+
--- dict-bouvier-6.revised.orig/debian/control
+++ dict-bouvier-6.revised/debian/control
@@ -0,0 +1,14 @@
+Source: dict-bouvier
+Section: text
+Priority: optional
+Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends-Indep: debhelper (>> 3.0.0), python (>= 2.4.3), python-dictdlib (>= 2.0.4), dictzip
+Standards-Version: 3.5.2
+
+Package: dict-bouvier
+Architecture: all
+Suggests: dict, dictd
+Description: John Bouvier's Law Dictionary for the USA
+ This is the 1856 Revised Sixth Ediition of John Bouvier's law dictionary,
+ formatted for use with the dictd server.  It is an excellent, if dated,
+ way to look up information about legal words and principles.
--- dict-bouvier-6.revised.orig/debian/copyright
+++ dict-bouvier-6.revised/debian/copyright
@@ -0,0 +1,10 @@
+This package was debianized by John Goerzen <jgoerzen@complete.org> on
+Fri, 19 Apr 2002 14:10:31 -0500.
+
+It was downloaded from http://www.constitution.org/bouv/bouvier.htm
+
+Upstream Author(s): John Bouvier, 1856.
+
+Copyright:
+
+Copyright claims to this work have expired; it is now public domain.
--- dict-bouvier-6.revised.orig/debian/dirs
+++ dict-bouvier-6.revised/debian/dirs
@@ -0,0 +1 @@
+usr/share/dictd
--- dict-bouvier-6.revised.orig/debian/postinst
+++ dict-bouvier-6.revised/debian/postinst
@@ -0,0 +1,56 @@
+#! /bin/sh
+# postinst script for dict-moby-thesaurus
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+     if [ -x /usr/sbin/dictdconfig ]; then dictdconfig -w ;fi
+     if [ -x /etc/init.d/dictd ]; then
+          if which invoke-rc.d >/dev/null 2>&1; then
+               invoke-rc.d dictd restart
+          else
+               /etc/init.d/dictd restart
+          fi
+     fi
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- dict-bouvier-6.revised.orig/debian/postrm
+++ dict-bouvier-6.revised/debian/postrm
@@ -0,0 +1,45 @@
+#! /bin/sh
+# postrm script for dict-moby-thesaurus
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+     if [ -x /usr/sbin/dictdconfig ]; then dictdconfig -w ;fi
+     if [ -x /etc/init.d/dictd ]; then
+          if which invoke-rc.d >/dev/null 2>&1; then
+               invoke-rc.d dictd restart
+          else
+               /etc/init.d/dictd restart
+          fi
+     fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- dict-bouvier-6.revised.orig/debian/rules
+++ dict-bouvier-6.revised/debian/rules
@@ -0,0 +1,94 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+PYTHON=$(shell pyversions -d)
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(PYTHON) conv.py *.txt
+	dictzip bouvier.dict
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) clean
+
+	-rm -f *.dz *.index *.dict *.dictfmt *.pyc
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/dict-bouvier
+	#$(MAKE) install DESTDIR=$(CURDIR)/debian/dict-bouvier
+	cp *.dz *.index debian/dict-bouvier/usr/share/dictd
+
+
+binary-arch: build install
+# We have nothing to do by default.
+
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf	
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+	dh_installcron
+	dh_installman
+	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs 
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure